#ifndef __ROBOT__H
#define __ROBOT__H
//---------------------------------------
	// Valeurs des parametres 

/* 272 || 22 */
/* 300-3-8-6 */	  // Pas oscillation
				  // 24 18

/* 320-5-8-4 */


#define KV 275  // 300
#define K 4 // 5

// BL et KL
/*->>> FORCEMENT MULTIPLE DE DEUX <<<-*/
#define BL 10 	// 10
#define BM 10 	// 4
#define BA 10

#define KL ((9*BL)/2)
#define KM ((7*BM)/2)
#define KA ((7*BA)/2)

//#define kVBAT (12000*165)					// 1968000
// V = (KV*ECART*VOLT*2*LONG/DIST) * x + V

#define AdCPT_M 0x40
#define AdCPT_G 0x4F
#define AdCPT_D 0x46
//---------------------------------------
//---------------------------------------
	int int_I2C_AR ( void );
	int int_I2C ( void );					// Interroge les cartes capteurs pour rcuprer la distance

	int calcul_V ( int x , int kv );					// Calcul la vitesse (tension) en fonction de la distance
	void envoi_Vit_Mot ( char distance );	// Envoi la vitesse au moteur en fonction de la distance

//---------------------------------------
#endif