#include <p18f452.h>
#include "strategie.h"
#include "moteur.h"


int calcul_V ( int x ){	// Calcul la vitesse (tension) en fonction de la distance
	return ( VOLT + K*x );
}

int calcul_PWM ( int v ){	// Calcul le PWM en fonction de la dictance
	return (v/VBAT);
}
/*
int calcul_PWM ( int v ){	// Calcul le PWM en fonction de la dictance
	int V = 800*v + kVBAT;
	int Vp= v + VBAT;
	return (V/Vp);
}*/

void envoi_Vit_Mot ( char distance ) {
	static int VD = 0, VG = 0;

	VD = calcul_V (  (int)distance  );
	VD = calcul_PWM ( VD );

	VG = calcul_V ( -((int)distance) );
	VG = calcul_PWM ( VG );

//	Partie test
	Moteur_Commande(-VG ,1 );	// 1 -> Droit
	Moteur_Commande(-VD ,2 );	// 2 -> Gauche	
/*
Moteur_Commande(VD ,1 );	// 1 -> Droit
Moteur_Commande(VG ,2 );	// 2 -> Gauche	
*/
}



